# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl


%define name    kmpg2
%define version 1.96
%define release 1.2007mcnl
%define summary KmPg2 - The MPEG2 encoder for kde
%define section Multimedia/Video
%define title   KmPg2

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor: 	Mandrivaclub.nl
URL: 		http://kmpg2.sourceforge.net/
License:        GPL
Group:          Video

BuildArch:  	noarch

Source0:        KmPg2-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires:  	kdewebdev-kommander transcode bc konsole sox mjpegtools ffmpeg smilutils y4mscaler

%description
A frontend to the excellent mpeg2enc encoder from MJPEG-Tools,
for encoding video files to DVD compliant MPEG2. In order to
get the highest possible quality out of your video files, KmPg2
features processing profiles. Each profile represents a special
treatment for a specific type of video material. For example,
creating a good looking MPEG2 file from consumer MiniDV camera
recording requires completely different video filtering and
processing than computer generated video or digitized VHS tapes.

KmPg2 contains a profiling wizard which will allow you to
interactively find the ideal processing profile for your video
files. Processing profiles contain settings for low-pass filtering,
chroma/luma noise filtering, contrast/brightness/saturation
correction, color balance correction and unsharp masking. Any
profile you create can be installed locally and can be used with
the KmPg2 encoder.

Other features of KmPg2 are cropping to 16:9 widescreen format
and ultra-wide letterbox format, adding subtitles, a special
Black & White encoding mode, quality-based encoding,
bitrate-based encoding and generating shell scripts.


%prep
rm -rf %{buildroot}
%setup -q -n KmPg2-%{version}

%build 

%install

install -d $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/%{name}
#!/bin/sh
exec kmdr-executor %{_datadir}/apps/%{name}/KmPg2.kmdr
exit 0
EOF

install -d $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/%{name}-profiler
#!/bin/sh
exec kmdr-executor %{_datadir}/apps/%{name}/KmPg2Profiler.kmdr
exit 0
EOF


mkdir -p %{buildroot}/%{_datadir}/apps/%{name}/Profiles
%__cp Profiles/* %{buildroot}/%{_datadir}/apps/%{name}/Profiles
%__cp *.kmdr %{buildroot}/%{_datadir}/apps/%{name}/
%__cp *.sh %{buildroot}/%{_datadir}/apps/%{name}/

rm -f %{buildroot}/%{_datadir}/apps/%{name}/Installer.kmdr
rm -f %{buildroot}/%{_datadir}/apps/%{name}/inst.sh

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%{name}" \
needs="X11" \
icon="video_section.png" \
section="%section" \
title="%{title}" \
longtitle="%summary"
EOF

#New Menu 2007
mkdir -p %buildroot%{_datadir}/applications/kde
cat > %buildroot%{_datadir}/applications/kde/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{summary}
Exec=%{name}
Icon=video_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=KDE;X-MandrivaLinux-Multimedia-Video
EOF

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name}-profiler << EOF
?package(%name): \
command="%{name}-profiler" \
needs="X11" \
icon="video_section.png" \
section="%section" \
title="%{title} profiler" \
longtitle="%{title} profiler"
EOF

#New Menu 2007
mkdir -p %buildroot%{_datadir}/applications/kde
cat > %buildroot%{_datadir}/applications/kde/%{name}-profiler.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title} profiler
Comment=%{title} profiler
Exec=%{name}
Icon=video_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=KDE;X-MandrivaLinux-Multimedia-Video
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README Changelog
%attr(755,root,root)%{_bindir}/%{name}
%attr(755,root,root)%{_bindir}/%{name}-profiler
%attr(755,root,root) %{_datadir}/apps/%{name}/Profiles
%attr(644,root,root) %{_datadir}/apps/%{name}/Profiles/*
%attr(755,root,root) %{_datadir}/apps/%{name}/*.sh
%attr(755,root,root) %{_datadir}/apps/%{name}/*.kmdr

%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/applications/kde/%{name}-profiler.desktop
%{_menudir}/%{name}
%{_menudir}/%{name}-profiler


%changelog 
*Sun Nov 19 2006 Marco Meijer <marco@mandrivaclub.nl> 1.96-1.2007mcnl
first mandrivaclub.nl version





